## empathy-ui-utils

empathy-ui-utils

## Synopsis

    void                empathy_gtk_init                    (void);
    GRegex *            empathy_uri_regex_dup_singleton     (void);
    GtkBuilder *        empathy_builder_get_file            (const gchar *filename,
                                                             const gchar *first_object,
                                                             ...);
    void                empathy_builder_connect             (GtkBuilder *gui,
                                                             gpointer user_data,
                                                             gchar *first_object,
                                                             ...);
    GtkWidget *         empathy_builder_unref_and_keep_widget
                                                            (GtkBuilder *gui,
                                                             GtkWidget *root);
    const gchar *       empathy_icon_name_for_presence      (TpConnectionPresenceType presence);
    const gchar *       empathy_icon_name_for_contact       (EmpathyContact *contact);
    GdkPixbuf *         empathy_pixbuf_from_data            (gchar *data,
                                                             gsize data_size);
    GdkPixbuf *         empathy_pixbuf_from_data_and_mime   (gchar *data,
                                                             gsize data_size,
                                                             gchar **mime_type);
    GdkPixbuf *         empathy_pixbuf_from_avatar_scaled   (EmpathyAvatar *avatar,
                                                             gint width,
                                                             gint height);
    GdkPixbuf *         empathy_pixbuf_avatar_from_contact_scaled
                                                            (EmpathyContact *contact,
                                                             gint width,
                                                             gint height);
    GdkPixbuf *         empathy_pixbuf_scale_down_if_necessary
                                                            (GdkPixbuf *pixbuf,
                                                             gint max_size);
    GdkPixbuf *         empathy_pixbuf_from_icon_name       (const gchar *icon_name,
                                                             GtkIconSize icon_size);
    GdkPixbuf *         empathy_pixbuf_from_icon_name_sized (const gchar *icon_name,
                                                             gint size);
    gchar *             empathy_filename_from_icon_name     (const gchar *icon_name,
                                                             GtkIconSize icon_size);
    gboolean            empathy_text_iter_forward_search    (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);
    gboolean            empathy_text_iter_backward_search   (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);
    gboolean            empathy_window_get_is_visible       (GtkWindow *window);
    void                empathy_window_present              (GtkWindow *window,
                                                             gboolean steal_focus);
    void                empathy_window_iconify              (GtkWindow *window,
                                                             GtkStatusIcon *status_icon);
    GtkWindow *         empathy_get_toplevel_window         (GtkWidget *widget);
    void                empathy_url_show                    (GtkWidget *parent,
                                                             const char *url);
    void                empathy_toggle_button_set_state_quietly
                                                            (GtkWidget *widget,
                                                             GCallback callback,
                                                             gpointer user_data,
                                                             gboolean active);
    GtkWidget *         empathy_link_button_new             (const gchar *url,
                                                             const gchar *title);
    void                empathy_send_file_with_file_chooser (EmpathyContact *contact);
    void                empathy_receive_file_with_file_chooser
                                                            (EmpathyFTHandler *handler);
    gchar *             empathy_make_absolute_url           (const gchar *url);
    gchar *             empathy_make_absolute_url_len       (const gchar *url,
                                                             guint len);

## Description

## Details

### empathy_gtk_init ()

    void                empathy_gtk_init                    (void);

### empathy_uri_regex_dup_singleton ()

    GRegex *            empathy_uri_regex_dup_singleton     (void);

Returns : |

### empathy_builder_get_file ()

    GtkBuilder *        empathy_builder_get_file            (const gchar *filename,
                                                             const gchar *first_object,
                                                             ...);

`filename` : |
`first_object` : |
`...` : |
Returns : |

### empathy_builder_connect ()

    void                empathy_builder_connect             (GtkBuilder *gui,
                                                             gpointer user_data,
                                                             gchar *first_object,
                                                             ...);

`gui` : |
`user_data` : |
`first_object` : |
`...` : |

### empathy_builder_unref_and_keep_widget ()

    GtkWidget *         empathy_builder_unref_and_keep_widget
                                                            (GtkBuilder *gui,
                                                             GtkWidget *root);

`gui` : |
`root` : |
Returns : |

### empathy_icon_name_for_presence ()

    const gchar *       empathy_icon_name_for_presence      (TpConnectionPresenceType presence);

`presence` : |
Returns : |

### empathy_icon_name_for_contact ()

    const gchar *       empathy_icon_name_for_contact       (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_pixbuf_from_data ()

    GdkPixbuf *         empathy_pixbuf_from_data            (gchar *data,
                                                             gsize data_size);

`data` : |
`data_size` : |
Returns : |

### empathy_pixbuf_from_data_and_mime ()

    GdkPixbuf *         empathy_pixbuf_from_data_and_mime   (gchar *data,
                                                             gsize data_size,
                                                             gchar **mime_type);

`data` : |
`data_size` : |
`mime_type` : |
Returns : |

### empathy_pixbuf_from_avatar_scaled ()

    GdkPixbuf *         empathy_pixbuf_from_avatar_scaled   (EmpathyAvatar *avatar,
                                                             gint width,
                                                             gint height);

`avatar` : |
`width` : |
`height` : |
Returns : |

### empathy_pixbuf_avatar_from_contact_scaled ()

    GdkPixbuf *         empathy_pixbuf_avatar_from_contact_scaled
                                                            (EmpathyContact *contact,
                                                             gint width,
                                                             gint height);

`contact` : |
`width` : |
`height` : |
Returns : |

### empathy_pixbuf_scale_down_if_necessary ()

    GdkPixbuf *         empathy_pixbuf_scale_down_if_necessary
                                                            (GdkPixbuf *pixbuf,
                                                             gint max_size);

`pixbuf` : |
`max_size` : |
Returns : |

### empathy_pixbuf_from_icon_name ()

    GdkPixbuf *         empathy_pixbuf_from_icon_name       (const gchar *icon_name,
                                                             GtkIconSize icon_size);

`icon_name` : |
`icon_size` : |
Returns : |

### empathy_pixbuf_from_icon_name_sized ()

    GdkPixbuf *         empathy_pixbuf_from_icon_name_sized (const gchar *icon_name,
                                                             gint size);

`icon_name` : |
`size` : |
Returns : |

### empathy_filename_from_icon_name ()

    gchar *             empathy_filename_from_icon_name     (const gchar *icon_name,
                                                             GtkIconSize icon_size);

`icon_name` : |
`icon_size` : |
Returns : |

### empathy_text_iter_forward_search ()

    gboolean            empathy_text_iter_forward_search    (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);

`iter` : |
`str` : |
`match_start` : |
`match_end` : |
`limit` : |
Returns : |

### empathy_text_iter_backward_search ()

    gboolean            empathy_text_iter_backward_search   (const GtkTextIter *iter,
                                                             const gchar *str,
                                                             GtkTextIter *match_start,
                                                             GtkTextIter *match_end,
                                                             const GtkTextIter *limit);

`iter` : |
`str` : |
`match_start` : |
`match_end` : |
`limit` : |
Returns : |

### empathy_window_get_is_visible ()

    gboolean            empathy_window_get_is_visible       (GtkWindow *window);

`window` : |
Returns : |

### empathy_window_present ()

    void                empathy_window_present              (GtkWindow *window,
                                                             gboolean steal_focus);

`window` : |
`steal_focus` : |

### empathy_window_iconify ()

    void                empathy_window_iconify              (GtkWindow *window,
                                                             GtkStatusIcon *status_icon);

`window` : |
`status_icon` : |

### empathy_get_toplevel_window ()

    GtkWindow *         empathy_get_toplevel_window         (GtkWidget *widget);

`widget` : |
Returns : |

### empathy_url_show ()

    void                empathy_url_show                    (GtkWidget *parent,
                                                             const char *url);

`parent` : |
`url` : |

### empathy_toggle_button_set_state_quietly ()

    void                empathy_toggle_button_set_state_quietly
                                                            (GtkWidget *widget,
                                                             GCallback callback,
                                                             gpointer user_data,
                                                             gboolean active);

`widget` : |
`callback` : |
`user_data` : |
`active` : |

### empathy_link_button_new ()

    GtkWidget *         empathy_link_button_new             (const gchar *url,
                                                             const gchar *title);

`url` : |
`title` : |
Returns : |

### empathy_send_file_with_file_chooser ()

    void                empathy_send_file_with_file_chooser (EmpathyContact *contact);

`contact` : |

### empathy_receive_file_with_file_chooser ()

    void                empathy_receive_file_with_file_chooser
                                                            (EmpathyFTHandler *handler);

`handler` : |

### empathy_make_absolute_url ()

    gchar *             empathy_make_absolute_url           (const gchar *url);

`url` : |
Returns : |

### empathy_make_absolute_url_len ()

    gchar *             empathy_make_absolute_url_len       (const gchar *url,
                                                             guint len);

`url` : |
`len` : |
Returns : |